/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : hal_adc.c
  * Created on      : 24-09-2023
  * Author          : Tahir.Shaikh
  * @brief          : Source/Header file
  ******************************************************************************
  */
/* USER CODE END Header */

/* Includes ------------------------------------------------------------------*/

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */
#include <hal_adc.h>
/* USER CODE END Includes */

/* Private typedef -----------------------------------------------------------*/
/* USER CODE BEGIN TD */
/* USER CODE END TD */

/* Private define ------------------------------------------------------------*/
/* USER CODE BEGIN PD */
/* USER CODE END PD */

/* Private macro -------------------------------------------------------------*/
/* USER CODE BEGIN PM */
/* USER CODE END PM */

/* Private variables ---------------------------------------------------------*/
/* USER CODE BEGIN PV */
/* USER CODE END PV */

/* Private function prototypes -----------------------------------------------*/
/* USER CODE BEGIN PFP */
/* USER CODE END PFP */

/* Private user code ---------------------------------------------------------*/
/* USER CODE BEGIN 0 */
/* USER CODE END 0 */

/* External variables --------------------------------------------------------*/
/* USER CODE BEGIN EV */
//extern ADC_HandleTypeDef hadc1;
/* USER CODE END EV */

/**
  * @brief  This function is used to read back Initialized PIN status.
  * @param  ADCA_PinTypeDef
  * @retval HAL_PinConfig
  */
HAL_PinConfig ADCA_bPinConfig(ADCA_PinTypeDef enPinTypeDef)
{
	HAL_PinConfig bPinConfig = HAL_PIN_NOT_CONFIG;

	switch(enPinTypeDef)
	{
		case ADCA_IN0:
//			bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR1(ADC_SMPR1_SMP10, ADC_CHANNEL_VREFINT));
			bPinConfig = HAL_PIN_CONFIG;
			break;
		case ADCA_IN1:
//			bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR1(ADC_SMPR1_SMP10, ADC_CHANNEL_TEMPSENSOR));
			bPinConfig = HAL_PIN_CONFIG;
			break;
		case ADCA_IN2:
//			bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR2 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_0));
			bPinConfig = HAL_PIN_CONFIG;
			break;
		case ADCA_IN3:
//			bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR2 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_1));
			bPinConfig = HAL_PIN_CONFIG;
			break;
		case ADCA_IN4:
//			bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_2));
			bPinConfig = HAL_PIN_CONFIG;
			break;
		case ADCA_IN5:
//          bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_2));
            bPinConfig = HAL_PIN_CONFIG;
            break;
		default:
		case ADCA_PIN_MaxCnt:
			break;
	}

	return bPinConfig;
}

/**
  * @brief  This function is used to read back Initialized PIN status.
  * @param  ADCB_PinTypeDef
  * @retval HAL_PinConfig
  */
HAL_PinConfig ADCB_bPinConfig(ADCB_PinTypeDef enPinTypeDef)
{
    HAL_PinConfig bPinConfig = HAL_PIN_NOT_CONFIG;

    switch(enPinTypeDef)
    {
        case ADCB_IN0:
//          bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR1(ADC_SMPR1_SMP10, ADC_CHANNEL_VREFINT));
            bPinConfig = HAL_PIN_CONFIG;
            break;
        case ADCB_IN1:
//          bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR1(ADC_SMPR1_SMP10, ADC_CHANNEL_TEMPSENSOR));
            bPinConfig = HAL_PIN_CONFIG;
            break;
        case ADCB_IN2:
//          bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR2 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_0));
            bPinConfig = HAL_PIN_CONFIG;
            break;
        case ADCB_IN3:
//          bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR2 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_1));
            bPinConfig = HAL_PIN_CONFIG;
            break;
        case ADCB_IN4:
//          bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_2));
            bPinConfig = HAL_PIN_CONFIG;
            break;
        case ADCB_IN5:
//          bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_2));
            bPinConfig = HAL_PIN_CONFIG;
            break;
        case ADCB_IN14:
//          bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_2));
            bPinConfig = HAL_PIN_CONFIG;
            break;
        case ADCB_IN15:
//          bResult = (HAL_PinConfig)bBIT(HAL_ADC1.Instance->SMPR1 & ADC_SMPR2(ADC_SMPR2_SMP0, ADC_CHANNEL_2));
            bPinConfig = HAL_PIN_CONFIG;
            break;
        default:
        case ADCB_PIN_MaxCnt:
            break;
    }

    return bPinConfig;
}

//// ADCA : IoADCA_tReadSingleChannel
//HAL_ADC_Value IoADCA_tReadSingleChannel(ADCA_PinTypeDef enPinTypeDef)
//{
//    HAL_ADC_Value AdcReadChannel;
//    if (enPinTypeDef < ADCA_PIN_MaxCnt)
//    {
//        switch(enPinTypeDef)
//        {
//            case ADCA_IN0:
//                AdcReadChannel = ADC_readResult(myADC0_RESULT_BASE, myADC0_SOC0);   // MCU PIN 25
//                break;
//            case ADCA_IN1:
//                AdcReadChannel = ADC_readResult(myADC0_RESULT_BASE, myADC0_SOC1);   // MCU PIN 24
//                break;
//            case ADCA_IN2:
//                AdcReadChannel = ADC_readResult(myADC0_RESULT_BASE, myADC0_SOC2);   // MCU PIN 23
//                break;
//            case ADCA_IN3:
//                AdcReadChannel = ADC_readResult(myADC0_RESULT_BASE, myADC0_SOC3);   // MCU PIN 22
//                break;
//            case ADCA_IN4:
//                AdcReadChannel = ADC_readResult(myADC0_RESULT_BASE, myADC0_SOC4);   // MCU PIN 21
//                break;
//            case ADCA_IN5:
//                AdcReadChannel = ADC_readResult(myADC0_RESULT_BASE, myADC0_SOC5);   // MCU PIN 20
//                break;
//            default:
//            case ADCA_PIN_MaxCnt:
//                AdcReadChannel = 0;
//                break;
//        }
//    }
//    return AdcReadChannel;
//}
//
//// ADCB : IoADCB_tReadSingleChannel
//HAL_ADC_Value IoADCB_tReadSingleChannel(ADCB_PinTypeDef enPinTypeDef)
//{
//    HAL_ADC_Value AdcReadChannel;
//    if (enPinTypeDef < ADCB_PIN_MaxCnt)
//    {
//        switch(enPinTypeDef)
//        {
//            case ADCB_IN0:
//                AdcReadChannel = ADC_readResult(myADC1_RESULT_BASE, myADC1_SOC0);   // MCU PIN 25
//                break;
//            case ADCB_IN1:
//                AdcReadChannel = ADC_readResult(myADC1_RESULT_BASE, myADC1_SOC1);   // MCU PIN 24
//                break;
//            case ADCB_IN2:
//                AdcReadChannel = ADC_readResult(myADC1_RESULT_BASE, myADC1_SOC2);   // MCU PIN 23
//                break;
//            case ADCB_IN3:
//                AdcReadChannel = ADC_readResult(myADC1_RESULT_BASE, myADC1_SOC3);   // MCU PIN 22
//                break;
//            case ADCB_IN4:
//                AdcReadChannel = ADC_readResult(myADC1_RESULT_BASE, myADC1_SOC4);   // MCU PIN 21
//                break;
//            case ADCB_IN5:
//                AdcReadChannel = ADC_readResult(myADC1_RESULT_BASE, myADC1_SOC5);   // MCU PIN 20
//                break;
//            case ADCB_IN14:
//                AdcReadChannel = ADC_readResult(myADC1_RESULT_BASE, myADC1_SOC6);   // MCU PIN 20
//                break;
//            case ADCB_IN15:
//                AdcReadChannel = ADC_readResult(myADC1_RESULT_BASE, myADC1_SOC7);   // MCU PIN 20
//                break;
//
//            default:
//            case ADCB_PIN_MaxCnt:
//                AdcReadChannel = 0;
//                break;
//        }
//    }
//    return AdcReadChannel;
//}

