/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : hal_gpio.h
  * Created on      : 24-09-2023
  * Author          : Tahir.Shaikh
  * @brief          : Source/Header file
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef ECU_HAL_IO_INC_HAL_GPIO_H_
#define ECU_HAL_IO_INC_HAL_GPIO_H_

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */
#include "main.h"
#include "driverlib.h"
#include "board.h"
/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */
typedef enum
{
    myGPIO_0=0,
    myGPIO_1,
    myGPIO_2,

    GPI_PIN_MaxCnt,
} GPI_PinTypeDef;
typedef enum
{
    myGPIO_3=0,
    myGPIO_4,
    myGPIO_5,
    myGPIO_6,

    GPO_PIN_MaxCnt,
} GPO_PinTypeDef;

// Methods Declaration
HAL_PinConfig GPI_bPinConfig(GPI_PinTypeDef enPinTypeDef);
HAL_PinConfig GPO_bPinConfig(GPO_PinTypeDef enPinTypeDef);

HAL_PinState  GPO_vPinSetLevel(GPO_PinTypeDef enPinTypeDef, HAL_PinState enPinState);
HAL_PinState  GPI_bPinGetLevel(GPI_PinTypeDef enPinTypeDef);
/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */
/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */
/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
/* USER CODE BEGIN EFP */
/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
/* USER CODE BEGIN Private defines */
/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* ECU_HAL_IO_INC_HAL_GPIO_H_ */
