#include <stdint.h>
/* Exported types ------------------------------------------------------------*/

/**
  * @brief  HAL_BoolState structures definition
  */
typedef enum
{
  HAL_NOT_SET = 0U,
  HAL_SET = !HAL_NOT_SET
} HAL_BoolState;

/**
  * @brief  HAL_PinConfig structures definition
  */
typedef enum
{
  HAL_PIN_NOT_CONFIG = 0U,
  HAL_PIN_CONFIG = !HAL_PIN_NOT_CONFIG
} HAL_PinConfig;

/**
  * @brief  HAL_PinState structures definition
  */
typedef enum
{
  //HAL_PIN_X=-1,
  HAL_PIN_LOW = 0U,
  HAL_PIN_HIGH = !HAL_PIN_LOW,
} HAL_PinState;

/**
  * @brief  HAL_ApiState structures definition
  */
typedef enum
{
  HAL_FAIL = 0U,
  HAL_SUCCESS = !HAL_FAIL
} HAL_ApiState;

/**
  * @brief  HAL_FunState structures definition
  */
typedef enum
{
  HAL_DISABLE = 0U,
  HAL_ENABLE = !HAL_DISABLE
} HAL_FunState;

/**
  * @brief  HAL_OpState structures definition
  */
typedef enum
{
  HAL_NOTDONE = 0U,
  HAL_INPROGRESS = 1U,
  HAL_DONE = 2U,
} HAL_OpState;

/* Exported constants --------------------------------------------------------*/
typedef  uint16_t HAL_ADC_Value;
